com.threerings.micasa.client

## Class MiCasaClient

- java.lang.Object
- - com.threerings.micasa.client.MiCasaClient

    public class MiCasaClient
    extends Object

The MiCasa client takes care of instantiating all of the proper managers and loading up all of the necessary configuration and getting the client bootstrapped. It can be extended by games that require an extended context implementation.

### Constructor Summary

Constructors
Constructor and Description
`MiCasaClient()`

### Method Summary

All Methods Instance Methods Concrete Methods
`MiCasaContext` `getContext()` Returns a reference to the context in effect for this client.
`void` `init(MiCasaFrame frame)` Initializes a new client and provides it with a frame in which to display everything.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MiCasaClient

    public MiCasaClient()

### Method Detail

#### init

    public void init(MiCasaFrame frame)
              throws IOException

Initializes a new client and provides it with a frame in which to display everything.

Throws:
  `IOException`

#### getContext

    public MiCasaContext getContext()

Returns a reference to the context in effect for this client. This reference is valid for the lifetime of the application.